Module SQL_客戶系統管理
    Friend Sub SQL_客戶資料表集團下拉()
        ConnOpen()
        SQL1 = "SELECT DISTINCT 集團 FROM 客戶資料表 ORDER BY 集團"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表製表下拉()
        ConnOpen()
        SQL1 = "SELECT DISTINCT 姓名 FROM 使用者權限管理表 WHERE 級別 NOT LIKE N'00'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表讀取(訪談編號 As String, 集團 As String)
        ConnOpen()
        SQL1 = "SELECT 流水號, 客戶名稱, 類別, 電話, 傳真, 地址, 姓名, [單位/職稱], 聯繫方式, 負責區域, 文件伺服器, 來源, 簽約, 客需, 訪談編號, 經營模式, 集團, 
                       姓名1, [單位/職稱1], 聯繫方式1, 負責區域1, 姓名2, [單位/職稱2], 聯繫方式2, 負責區域2 
                FROM  客戶資料表 
                WHERE 類別 LIKE N'%" & PA41 & "%' AND 訪談編號 LIKE N'" & 訪談編號 & "' AND (集團 LIKE N'" & 集團 & "')  AND (客戶名稱 LIKE N'%" & PA40 & "%' OR 電話 LIKE N'%" & PA40 & "%' OR 
                      傳真 LIKE N'%" & PA40 & "%' OR 地址 LIKE N'%" & PA40 & "%' OR 姓名 LIKE N'%" & PA40 & "%' )
                ORDER BY 客戶名稱"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶資料表流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  客戶資料表  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表流水驗證()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  客戶資料表  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶名稱驗證()
        ConnOpen() : SQL1 = "SELECT  客戶名稱  FROM  客戶資料表  WHERE  (客戶名稱 LIKE N'" & 客戶資料表.客戶名稱_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表新增(經營模式 As String, 集團 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  客戶資料表 (流水號, 客戶名稱, 類別, 電話, 傳真, 地址, 姓名, [單位/職稱], 聯繫方式, 負責區域, 文件伺服器, 來源, 簽約, 客需, 訪談編號, 經營模式, 集團, 
                                         姓名1, [單位/職稱1], 聯繫方式1, 負責區域1, 姓名2, [單位/職稱2], 聯繫方式2, 負責區域2)
                VALUES  (N'" & 客戶資料表.流水號_tb.Text & "', N'" & 客戶資料表.客戶名稱_tb.Text & "',N'" & 客戶資料表.分類2_cb.Text & "',N'" & 客戶資料表.電話_tb.Text & "',
                         N'" & 客戶資料表.傳真_tb.Text & "',N'" & 客戶資料表.地址_tb.Text & "',N'" & 客戶資料表.姓名1_tb.Text & "',N'" & 客戶資料表.職務1_tb.Text & "',
                         N'" & 客戶資料表.聯繫方式1_tb.Text & "',N'" & 客戶資料表.負責區域1_tb.Text & "',N'" & 圖片庫 & "',N'" & 客戶資料表.來源_tb.Text & "',
                         N'" & 客戶資料表.簽約_tb.Text & "',N'" & 客戶資料表.客需_tb.Text & "',N'" & gUserName & "',N'" & 經營模式 & "',N'" & 集團 & "',
                         N'" & 客戶資料表.姓名2_tb.Text & "',N'" & 客戶資料表.職務2_tb.Text & "', N'" & 客戶資料表.聯繫方式2_tb.Text & "',N'" & 客戶資料表.負責區域2_tb.Text & "',
                         N'" & 客戶資料表.姓名3_tb.Text & "',N'" & 客戶資料表.職務3_tb.Text & "', N'" & 客戶資料表.聯繫方式3_tb.Text & "',N'" & 客戶資料表.負責區域3_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表修改(經營模式 As String, 集團 As String)
        ConnOpen()
        SQL1 = "UPDATE  客戶資料表  SET  客戶名稱 = N'" & 客戶資料表.客戶名稱_tb.Text & "', 類別 = N'" & 客戶資料表.分類2_cb.Text & "', 電話 = N'" & 客戶資料表.電話_tb.Text & "', 
                                         傳真 = N'" & 客戶資料表.傳真_tb.Text & "', 地址 = N'" & 客戶資料表.地址_tb.Text & "', 姓名 = N'" & 客戶資料表.姓名1_tb.Text & "', 
                                         [單位/職稱] = N'" & 客戶資料表.職務1_tb.Text & "', 聯繫方式 = N'" & 客戶資料表.聯繫方式1_tb.Text & "', 
                                         負責區域 = N'" & 客戶資料表.負責區域1_tb.Text & "', 來源 = N'" & 客戶資料表.來源_tb.Text & "', 簽約 = N'" & 客戶資料表.簽約_tb.Text & "', 
                                         客需 = N'" & 客戶資料表.客需_tb.Text & "' , 經營模式 = N'" & 經營模式 & "', 集團 = N'" & 集團 & "', 姓名1 = N'" & 客戶資料表.姓名2_tb.Text & "', 
                                         [單位/職稱1] = N'" & 客戶資料表.職務2_tb.Text & "', 聯繫方式1 = N'" & 客戶資料表.聯繫方式2_tb.Text & "', 
                                         負責區域1 = N'" & 客戶資料表.負責區域2_tb.Text & "', 姓名2 = N'" & 客戶資料表.姓名3_tb.Text & "', 
                                         [單位/職稱2] = N'" & 客戶資料表.職務3_tb.Text & "', 聯繫方式2 = N'" & 客戶資料表.聯繫方式3_tb.Text & "', 
                                         負責區域2 = N'" & 客戶資料表.負責區域3_tb.Text & "'
                         WHERE 流水號 LIKE N'" & 客戶資料表.流水號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料表刪除()
        ConnOpen() : SQL1 = "DELETE  客戶資料表  WHERE  (流水號 LIKE N'" & 客戶資料表.流水號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶訪談表流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  客戶訪談資料  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶訪談表新增()
        ConnOpen()
        SQL1 = "INSERT INTO 客戶訪談資料 (流水號, 客戶編號, 日期, 訪談內容, 內容追蹤, 會議名稱, 會議地點, 會議時間, 出席人員, 會議內容, 地點) 
                VALUES (N'" & PA & "',N'" & 客戶資料表.流水號_tb.Text & "',N'" & Strings.Format(客戶資料表.訪談日期_dtp.Value, "yyyy/MM/dd") & "',N'',N'',
                        N'',N'',N'',N'',N'',N'')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_訪談表修改(訪談人 As String, 洽談物件 As String, 洽談時間 As String)
        ConnOpen()
        SQL1 = "UPDATE  客戶訪談資料  SET  訪談內容 = N'" & PA2 & "', 內容追蹤 = N'" & PA3 & "', 地點 = N'" & PA4 & "', 訪談人 = N'" & 訪談人 & "', 
                                        洽談物件 = N'" & 洽談物件 & "'  ,洽談時間 = N'" & 洽談時間 & "'  
                        WHERE 流水號 LIKE N'" & PA1 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_訪談表刪除()
        ConnOpen() : SQL1 = "DELETE  客戶訪談資料  WHERE 流水號 LIKE N'" & 客戶資料表.訪談編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議記錄修改()
        ConnOpen()
        SQL1 = "UPDATE  客戶訪談資料  SET  會議名稱 = N'" & 客戶資料表.會議名稱_tb.Text & "', 會議地點 = N'" & 客戶資料表.會議地點_tb.Text & "', 
                                           會議時間 = N'" & Strings.Format(客戶資料表.訪談日期_dtp.Value, "yyyy/MM/dd") & "', 出席人員 = N'" & 客戶資料表.出席人員_tb.Text & "', 
                                           會議內容 = N'" & 客戶資料表.會議內容_tb.Text & "'  WHERE 流水號 LIKE N'" & 客戶資料表.訪談編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶訪談表讀取()
        ConnOpen()
        SQL1 = "SELECT  流水號, 日期, 洽談時間, 地點 AS 洽談方式, 內容追蹤, 會議名稱, 會議地點, 會議時間, 出席人員, 會議內容,訪談人 AS YS員工,洽談物件, 訪談內容, 會議內容 AS 會議  FROM  客戶訪談資料 
                WHERE 客戶編號 LIKE N'" & 客戶資料表.流水號_tb.Text & "' ORDER BY 流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶承租表讀取()
        ConnOpen()
        SQL1 = "SELECT    案件摘要_承租.承租狀態, 案件摘要總表.[地址/地號], 案件摘要_建坪.建坪編號, 
                          案件摘要_承租.[坪數/區塊面積], 案件摘要_承租.租期開始 AS 租期, 案件摘要_承租.租期結束, 案件摘要_承租.免租期, 
                          案件摘要_承租.租金
                FROM      案件摘要_承租 INNER JOIN
                          客戶資料表 ON 案件摘要_承租.承租客 = 客戶資料表.流水號 INNER JOIN
                          案件摘要_建坪 ON 案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號 INNER JOIN
                          案件摘要總表 ON 案件摘要_承租.單據編號 = 案件摘要總表.單據編號 
                WHERE     客戶資料表.流水號 LIKE N'" & 客戶資料表.流水號_tb.Text & "'
                ORDER BY  案件摘要_承租.承租狀態"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶類別()
        ConnOpen() : SQL1 = "SELECT  類別  FROM  客戶資料表  GROUP BY  類別  ORDER BY  類別" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案  FROM  客戶資料表附件 WHERE 客戶編號 LIKE N'" & 客戶資料表.流水號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶會議附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案  FROM  客戶會議附件 WHERE 訪談編號 LIKE N'" & 客戶資料表.訪談編號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶會議附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  客戶會議附件  WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶會議附件讀取_改(流水號 As String)
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  客戶會議附件  WHERE  (流水號 LIKE N'" & 流水號 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶會議附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  客戶會議附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議附件圖片入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 客戶會議附件 (流水號, 訪談編號, 圖片) SELECT N'" & PA1 & "', N'" & 客戶資料表.訪談編號_tb.Text & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_客戶會議附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 客戶會議附件  WHERE  (流水號 LIKE  N'" & 客戶資料表.附件編碼1_lb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶會議內容清單(訪談編號 As String)
        ConnOpen()
        SQL1 = "SELECT    流水號 AS No,流水號,會議內容
                FROM      客戶資料表_會議內容
                WHERE     訪談編號 LIKE N'" & 訪談編號 & "'
                ORDER BY  流水號 "
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_會議內容修改(會議內容 As String, 流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE   客戶資料表_會議內容 SET 會議內容=N'" & 會議內容 & "'   WHERE     流水號 LIKE N'" & 流水號 & "'   "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議內容刪除(流水號 As String)
        ConnOpen()
        SQL1 = "DELETE   客戶資料表_會議內容    WHERE     流水號 LIKE N'" & 流水號 & "'   "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議內容流水號()
        ConnOpen()
        SQL1 = "SELECT    TOP(1) 流水號  FROM 客戶資料表_會議內容 ORDER BY 流水號 DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議內容新增(流水號 As String, 訪談編號 As String, 會議內容 As String)
        ConnOpen()
        SQL1 = "INSERT  客戶資料表_會議內容 (流水號,訪談編號,會議內容 )  VALUES (N'" & 流水號 & "',N'" & 訪談編號 & "',N'" & 會議內容 & "'   ) "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  客戶資料表附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_會議圖片入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 客戶資料表附件 (流水號, 客戶編號, 圖片) SELECT N'" & PA1 & "', N'" & 客戶資料表.流水號_tb.Text & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_客戶資料附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  客戶資料表附件  WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶資料附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 客戶資料表附件  WHERE  (流水號 LIKE  N'" & 客戶資料表.附件編碼_lb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_訪談日報表(集團 As String, 洽談物件 As String, YS員工 As String)
        ConnOpen()
        SQL1 = "SELECT    客戶訪談資料.流水號 AS 項次, 客戶訪談資料.流水號, 客戶訪談資料.客戶編號, 客戶訪談資料.日期, 客戶訪談資料.洽談時間, 客戶資料表.客戶名稱, 客戶資料表.姓名, 
                          客戶資料表.電話, 客戶資料表.聯繫方式, 客戶訪談資料.地點 AS 洽談方式, 客戶訪談資料.訪談人 AS YS員工, 客戶訪談資料.洽談物件, 客戶訪談資料.訪談內容, 客戶訪談資料.內容追蹤
                FROM      客戶訪談資料 INNER JOIN
                          客戶資料表 ON 客戶訪談資料.客戶編號 = 客戶資料表.流水號
                WHERE    (客戶訪談資料.日期 BETWEEN N'" & Strings.Format(訪談日報表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                    N'" & Strings.Format(訪談日報表.結束日期_dtp.Value, "yyyy/MM/dd") & "') " & 集團 & 洽談物件 & YS員工 & "
                          AND   (客戶資料表.客戶名稱 LIKE N'%" & 訪談日報表.關鍵字_tb.Text & "%' OR 客戶資料表.電話 LIKE N'%" & 訪談日報表.關鍵字_tb.Text & "%' OR 
                          客戶資料表.傳真 LIKE N'%" & 訪談日報表.關鍵字_tb.Text & "%' OR 客戶資料表.地址 LIKE N'%" & 訪談日報表.關鍵字_tb.Text & "%' OR 
                          客戶資料表.姓名 LIKE N'%" & 訪談日報表.關鍵字_tb.Text & "%')
                ORDER BY  客戶訪談資料.日期 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業務員類別()
        ConnOpen()
        SQL1 = "SELECT DISTINCT 姓名
                        FROM              使用者權限管理表
                        WHERE         級別 NOT LIKE N'00'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_地址地號類別(製錶 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT [地址/地號]
                        FROM              案件摘要總表
                        WHERE          (製錶 LIKE N'" & 製錶 & "') AND [地址/地號] NOT LIKE N''"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_集團類別()
        ConnOpen()
        SQL1 = "SELECT DISTINCT 集團
                        FROM              客戶資料表
                        WHERE         集團 NOT LIKE N''"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_洽談物件類別(訪談人 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 洽談物件
                        FROM              客戶訪談資料
                        WHERE         洽談物件 NOT LIKE N'' AND  洽談物件 IS NOT NULL AND 訪談人 LIKE N'" & 訪談人 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶清單()
        ConnOpen()
        SQL1 = "SELECT    流水號 ,客戶名稱,訪談編號 AS 製表人
                        FROM 客戶資料表
                        ORDER BY 訪談編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶清單_更新(新員工 As String, 流水號 As String, 客戶名稱 As String)
        ConnOpen()
        SQL1 = "UPDATE 客戶資料表 SET 訪談編號=N'" & 新員工 & "'  WHERE 流水號 LIKE N'" & 流水號 & "' AND 客戶名稱 LIKE N'" & 客戶名稱 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_員工清單()
        ConnOpen()
        SQL1 = "SELECT    姓名
                        FROM 使用者權限管理表
                        WHERE 級別 NOT LIKE N'00'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_摘要表清單()
        ConnOpen()
        SQL1 = "SELECT   單據編號 , [地址/地號],地主,製錶  AS 製表人
                        FROM  案件摘要總表
                        ORDER BY  製錶"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_摘要表清單_更新(新員工 As String, 單據編號 As String, 地主 As String, 地址地號 As String)
        ConnOpen()
        SQL1 = "UPDATE 案件摘要總表 SET 製錶=N'" & 新員工 & "'  WHERE 單據編號 LIKE N'" & 單據編號 & "' AND 地主 LIKE N'" & 地主 & "'  AND [地址/地號] LIKE N'" & 地址地號 & "' "
        CmdSet_For_dr()
    End Sub
End Module
